Subject: Re: [PATCH] powerpc/perfctr: Check oprofile_cpu_type for NULL before using it

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 06 Aug 2009 22:26:39 +1000

On Thu, 2009-08-06 at 21:03 +1000, Michael Ellerman wrote:
> 
> Typing it seven times didn't make you think "how about a helper?" :)

Copy/paste works fine :-) Seriously, I did think about it, but a couple
of cases test more than one string so a totally trivial helper wouldn't
do and I couldn't be bothered doing anything more complicated while
under influenza :-) You are welcome to do something nicer for .32.

BTW. While at it, I think we should move that stuff to a separate
subdir too.

Cheers,
Ben.